
- name: check existence of required variables
  fail:
    msg: required variable '{{ item.key }}' is undefined
  when: item.value is undefined or not item.value
  with_dict: '{{ shibboleth_required_variables }}'

- name: check existence of configuration file
  stat:
      path: /etc/shibboleth/shibboleth2.xml
  register: shibboleth_original_config

- name: check existence of original configuration
  stat: 
      path: /etc/shibboleth/shibboleth2.xml.orig
  register: shibboleth_backup_config

- name: backup original shibboleth2.xml
  copy:
      remote_src: yes
      src: /etc/shibboleth/shibboleth2.xml
      dest: /etc/shibboleth/shibboleth2.xml.orig
  when: not shibboleth_backup_config.stat.exists and shibboleth_original_config.stat.exists

- name: copy shibboleth configuration file
  copy:
      src: '{{ item }}'
      dest: /etc/shibboleth
  when: 'item is match("^.*[^\.j2]$")'
  with_items:
      - '{{ shibboleth_default_files }}'
      - '{{ shibboleth_files }}'
  notify: shibboleth_restart
 
- name: copy shibboleth configuration template
  template:
      src: '{{ item }}'
      dest: '/etc/shibboleth/{{ item | basename | regex_search("^.*(?=\.j2)") }}'
  when: 'item is match("^.*\.j2$")'
  with_items:
      - '{{ shibboleth_default_files }}'
      - '{{ shibboleth_files }}'
  notify: shibboleth_restart

